
QGIS Application - Bug report #6438

grass641 is not available

2012-09-30 07:59 AM - Faisal Rehman

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15679

Description

qgis-plugin-grass requires grass641 which is not available in any debian repo.(stable, testing, unstable, and experimental).

Details:

I am using debian-cut (wheezy) for my corei5 64bit laptop. I added following debs:

deb     http://qgis.org/debian wheezy main

deb-src http://qgis.org/debian wheezy main

and followed the described steps on download page of qgis.org.

I successfully installed qgis and python-qgis. But qgis-plugin-grass cannot be installed.

My problem is solved by shifting to nightly build of wheezy but I am reporting this bug to fix in above debs too.

History

#1 - 2012-10-11 09:53 AM - David Forrest

I see this issue too.

apt-get install python-qgis qgis-plugin-grass

...

The following packages have unmet dependencies:

 qgis-plugin-grass : Depends: grass641 but it is not installable

E: Unable to correct problems, you have held broken packages.

...

My configuration is the same as Faisal's above: Debian wheezy with the qgis.org lines in my /etc/apt/sources.list

My workaround was to rebuild the package using my system:

apt-get build-dep qgis-plugin-grass

apt-get -b source qgis-plugin-grass

dpkg -i qgis-plugin-grass_1.8.0~wheezy1_amd64.deb

During compilation I noticed a lot of messages like these:
dpkg-shlibdeps: warning: package could avoid a useless dependency if debian/qgis-mapserver/usr/lib/cgi-bin/qgis_mapserv.fcgi was not linked

against libpq.so.5 (it uses none of the library's symbols)

dpkg-shlibdeps: warning: package could avoid a useless dependency if debian/qgis-mapserver/usr/lib/cgi-bin/qgis_mapserv.fcgi was not linked

against libproj.so.0 (it uses none of the library's symbols)

dpkg-shlibdeps: warning: package could avoid a useless dependency if debian/qgis-sqlanywhere/usr/lib/qgis/plugins/libsqlanywhereprovider.so

debian/qgis-sqlanywhere/usr/lib/libqgissqlanyconnection.so.1.8.0 debian/qgis-sqlanywhere/usr/lib/qgis/plugins/libsqlanywhereplugin.so were not

linked against libQtSvg.so.4 (they use none of the library's symbols)

dpkg-shlibdeps: warning: package could avoid a useless dependency if debian/qgis-sqlanywhere/usr/lib/qgis/plugins/libsqlanywhereprovider.so

debian/qgis-sqlanywhere/usr/lib/libqgissqlanyconnection.so.1.8.0 debian/qgis-sqlanywhere/usr/lib/qgis/plugins/libsqlanywhereplugin.so were not

linked against libsqlite3.so.0 (they use none of the library's symbols)

dpkg-shlibdeps: warning: package could avoid a useless dependency if debian/qgis-sqlanywhere/usr/lib/qgis/plugins/libsqlanywhereprovider.so

debian/qgis-sqlanywhere/usr/lib/libqgissqlanyconnection.so.1.8.0 debian/qgis-sqlanywhere/usr/lib/qgis/plugins/libsqlanywhereplugin.so were not

linked against libgdal.so.1 (they use none of the library's symbols)

#2 - 2013-07-12 10:49 AM - Paolo Cavallini

- Category set to GRASS

#3 - 2013-09-25 12:04 PM - RIccardo Klinger

still have those errors on a new build ubuntu precise pangolin system and using the installation steps in the qgis documentation

#4 - 2015-12-12 07:25 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

Hello, bug triage...

on Debian Stable (Jessie) and Testing (Stretch), QGIS can compile without any problem with the latest version of GRASS6 for Jessie and GRASS7 for

Stretch.

I am closing this bug !
